View Issue Details

IDProjectCategoryView StatusLast Update
0015660ScribusUser Interfacepublic2019-06-04 20:55
Reportermilo Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.5.4 
Target VersionFixed in Version1.5.5.svn 
Summary0015660: Reorder Space glyphs
DescriptionIn the "Insert > Space > ..." submenu, reorder the list of 'space' glyphs by their widths, except for 'Non Breaking Space'.
See screenshot for suggestion
TagsNo tags attached.
PatchNo

Activities

milo

2019-04-23 15:29

reporter  

SPACE reordering.png (121,991 bytes)
SPACE reordering.png (121,991 bytes)

ale

2019-04-24 07:09

manager   ~0046153

well, the ones below the separator are also randomly ordered...

- zero width space
- line break
- column break
- frame break

would make more sense and put the zero width one closer to the other spaces...

milo

2019-04-24 09:58

reporter   ~0046156

i already had a discussion about "zero width space".
jghali replied in the end (0015653:0046142): Unicode data does not classify this character as a space.
in that case, maybe it's better to leave it further away from space-glyphs (even if it looks weird).
indeed line – column – frame order makes sense.

ale

2019-04-24 14:46

manager   ~0046157

personally, i see the zero width space as an hyphenation character.
but we don't have an hyphenation section for the glyphs...
all in all, i feel that the current separation in sections is pretty random, even if it follows some unicode rationals...
if we want to improve the current situation we probably need a solid proposal built from the point of view of a designer... all other moving around will be controversial.

and concerning my proposal: you would have the breaks ordered by:

- word
- line
- column
- frame.

milo

2019-04-24 16:01

reporter   ~0046161

yes, ale's proposal is better ...

SPACE reordering-2.png (122,759 bytes)
SPACE reordering-2.png (122,759 bytes)

Issue History

Date Modified Username Field Change
2019-04-23 15:29 milo New Issue
2019-04-23 15:29 milo File Added: SPACE reordering.png
2019-04-24 07:09 ale Note Added: 0046153
2019-04-24 09:58 milo Note Added: 0046156
2019-04-24 14:46 ale Note Added: 0046157
2019-04-24 16:01 milo File Added: SPACE reordering-2.png
2019-04-24 16:01 milo Note Added: 0046161
2019-05-31 21:55 cbradney Assigned To => cbradney
2019-05-31 21:55 cbradney Status new => resolved
2019-05-31 21:55 cbradney Resolution open => fixed
2019-06-02 16:46 jghali Fixed in Version => 1.5.5.svn
2019-06-04 20:55 cbradney Status resolved => closed